- name: Home
  # Optionally, if you only have a single page you can hide the desktop navigation for a cleaner look
  # hide-desktop-navigation: true
  columns:
    - size: small
      widgets:
        - type: calendar
          first-day-of-week: monday

        - type: rss
          limit: 10
          collapse-after: 3
          cache: 12h
          feeds:
            - url: https://selfh.st/rss/
              title: selfh.st
            - url: https://ciechanow.ski/atom.xml
            - url: https://www.joshwcomeau.com/rss.xml
              title: Josh Comeau
            - url: https://samwho.dev/rss.xml
            - url: https://ishadeed.com/feed.xml
              title: Ahmad Shadeed
            - url: https://chrisgreybrexitblog.blogspot.com/feeds/posts/default
            - url: https://forgejo.org/rss.xml
            - url: https://feeds.feedburner.com/servethehome
            - url: https://nicholas.carlini.com/writing/feed.xml
            - url: https://www.notebookcheck.net/RSS-Feed-Notebook-Reviews.8156.0.html

        - type: twitch-channels
          channels:
            - theprimeagen
            - j_blow
            - piratesoftware
            - cohhcarnage
            - christitustech
            - EJ_SA

    - size: full
      widgets:
        - type: group
          widgets:
            - type: hacker-news
            - type: lobsters

        - type: videos
          style: grid-cards
          channels:
            - UCXUPKJO5MZQN11PqgIvyuvQ # @AndrejKarpathy ai
            - UCA9o111IH1VD8Kxz0YLn8_A # lovelifedrawing
            - UCHaF9kM2wn8C3CLRwLkC2GQ # Matt Williams ai
            - UCXuqSBlHAE6Xw-yeJA0Tunw # Linus Tech Tips
            - UCR-DXc1voovS8nhAvccRZhg # Jeff Geerling
            - UCsBjURrPoezykLs9EqgamOA # Fireship
            - UCHnyfMqiRRG1u-2MsSQLbXA # Veritasium
           

        - type: group
          widgets:
            - type: reddit
              subreddit: technology
              show-thumbnails: true
            - type: reddit
              subreddit: selfhosted
              show-thumbnails: true

    - size: small
      widgets:
        - type: weather
          location: London, United Kingdom
          units: metric # alternatively "imperial"
          hour-format: 12h # alternatively "24h"
          # Optionally hide the location from being displayed in the widget
          # hide-location: true

        - type: markets
          markets:
            - symbol: TRI 
            - symbol: BMY.L
            - symbol: ^FTSE
            - symbol: SPY
              name: S&P 500
            - symbol: BTC-USD
              name: Bitcoin
            - symbol: XMR-GBP
              name: XMR  

        - type: releases
          cache: 1d
          # Without authentication the Github API allows for up to 60 requests per hour. You can create a
          # read-only token from your Github account settings and use it here to increase the limit.
          # token: ...
          repositories:
            - glanceapp/glance
            - go-gitea/gitea
            - immich-app/immich
            - syncthing/syncthing
